## Tokens Tokens — OpenGL-related tokens |

## Types and Values

#define | GDK_GL_SUCCESS
#define | GDK_GL_ATTRIB_LIST_NONE
enum | GdkGLConfigAttrib
#define | GDK_GL_DONT_CARE
#define | GDK_GL_NONE
enum | GdkGLConfigCaveat
enum | GdkGLVisualType
enum | GdkGLTransparentType
enum | GdkGLDrawableTypeMask
enum | GdkGLRenderTypeMask
enum | GdkGLBufferMask
enum | GdkGLConfigError
enum | GdkGLRenderType
enum | GdkGLDrawableAttrib
enum | GdkGLPbufferAttrib
enum | GdkGLEventMask
enum | GdkGLEventType
enum | GdkGLDrawableType

## Includes

    #include <gdk/gdkgl.h>

## Description

## Functions

## Types and Values

### GDK_GL_SUCCESS

    #define GDK_GL_SUCCESS          0  /* same as 'Success' of X11 */

### GDK_GL_ATTRIB_LIST_NONE

    #define GDK_GL_ATTRIB_LIST_NONE 0  /* same as 'None' of X11 */

### enum GdkGLConfigAttrib

#### Members

GDK_GL_USE_GL |  |
GDK_GL_BUFFER_SIZE |  |
GDK_GL_LEVEL |  |
GDK_GL_RGBA |  |
GDK_GL_DOUBLEBUFFER |  |
GDK_GL_STEREO |  |
GDK_GL_AUX_BUFFERS |  |
GDK_GL_RED_SIZE |  |
GDK_GL_GREEN_SIZE |  |
GDK_GL_BLUE_SIZE |  |
GDK_GL_ALPHA_SIZE |  |
GDK_GL_DEPTH_SIZE |  |
GDK_GL_STENCIL_SIZE |  |
GDK_GL_ACCUM_RED_SIZE |  |
GDK_GL_ACCUM_GREEN_SIZE |  |
GDK_GL_ACCUM_BLUE_SIZE |  |
GDK_GL_ACCUM_ALPHA_SIZE |  |
GDK_GL_CONFIG_CAVEAT |  |
GDK_GL_X_VISUAL_TYPE |  |
GDK_GL_TRANSPARENT_TYPE |  |
GDK_GL_TRANSPARENT_INDEX_VALUE |  |
GDK_GL_TRANSPARENT_RED_VALUE |  |
GDK_GL_TRANSPARENT_GREEN_VALUE |  |
GDK_GL_TRANSPARENT_BLUE_VALUE |  |
GDK_GL_TRANSPARENT_ALPHA_VALUE |  |
GDK_GL_DRAWABLE_TYPE |  |
GDK_GL_RENDER_TYPE |  |
GDK_GL_X_RENDERABLE |  |
GDK_GL_FBCONFIG_ID |  |
GDK_GL_MAX_PBUFFER_WIDTH |  |
GDK_GL_MAX_PBUFFER_HEIGHT |  |
GDK_GL_MAX_PBUFFER_PIXELS |  |
GDK_GL_VISUAL_ID |  |
GDK_GL_SCREEN |  |
GDK_GL_SAMPLE_BUFFERS |  |
GDK_GL_SAMPLES |  |

### GDK_GL_DONT_CARE

    #define GDK_GL_DONT_CARE              0xFFFFFFFF

### GDK_GL_NONE

    #define GDK_GL_NONE                   0x8000

### enum GdkGLConfigCaveat

#### Members

GDK_GL_CONFIG_CAVEAT_DONT_CARE |  |
GDK_GL_CONFIG_CAVEAT_NONE |  |
GDK_GL_SLOW_CONFIG |  |
GDK_GL_NON_CONFORMANT_CONFIG |  |

### enum GdkGLVisualType

#### Members

GDK_GL_VISUAL_TYPE_DONT_CARE |  |
GDK_GL_TRUE_COLOR |  |
GDK_GL_DIRECT_COLOR |  |
GDK_GL_PSEUDO_COLOR |  |
GDK_GL_STATIC_COLOR |  |
GDK_GL_GRAY_SCALE |  |
GDK_GL_STATIC_GRAY |  |

### enum GdkGLTransparentType

#### Members

GDK_GL_TRANSPARENT_NONE |  |
GDK_GL_TRANSPARENT_RGB |  |
GDK_GL_TRANSPARENT_INDEX |  |

### enum GdkGLDrawableTypeMask

#### Members

GDK_GL_WINDOW_BIT |  |
GDK_GL_PIXMAP_BIT |  |
GDK_GL_PBUFFER_BIT |  |

### enum GdkGLRenderTypeMask

#### Members

GDK_GL_RGBA_BIT |  |
GDK_GL_COLOR_INDEX_BIT |  |

### enum GdkGLBufferMask

#### Members

GDK_GL_FRONT_LEFT_BUFFER_BIT |  |
GDK_GL_FRONT_RIGHT_BUFFER_BIT |  |
GDK_GL_BACK_LEFT_BUFFER_BIT |  |
GDK_GL_BACK_RIGHT_BUFFER_BIT |  |
GDK_GL_AUX_BUFFERS_BIT |  |
GDK_GL_DEPTH_BUFFER_BIT |  |
GDK_GL_STENCIL_BUFFER_BIT |  |
GDK_GL_ACCUM_BUFFER_BIT |  |

### enum GdkGLConfigError

#### Members

GDK_GL_BAD_SCREEN |  |
GDK_GL_BAD_ATTRIBUTE |  |
GDK_GL_NO_EXTENSION |  |
GDK_GL_BAD_VISUAL |  |
GDK_GL_BAD_CONTEXT |  |
GDK_GL_BAD_VALUE |  |
GDK_GL_BAD_ENUM |  |

### enum GdkGLRenderType

#### Members

GDK_GL_RGBA_TYPE |  |
GDK_GL_COLOR_INDEX_TYPE |  |

### enum GdkGLDrawableAttrib

#### Members

GDK_GL_PRESERVED_CONTENTS |  |
GDK_GL_LARGEST_PBUFFER |  |
GDK_GL_WIDTH |  |
GDK_GL_HEIGHT |  |
GDK_GL_EVENT_MASK |  |

### enum GdkGLPbufferAttrib

#### Members

GDK_GL_PBUFFER_PRESERVED_CONTENTS |  |
GDK_GL_PBUFFER_LARGEST_PBUFFER |  |
GDK_GL_PBUFFER_HEIGHT |  |
GDK_GL_PBUFFER_WIDTH |  |

### enum GdkGLEventMask

#### Members

GDK_GL_PBUFFER_CLOBBER_MASK |  |

### enum GdkGLEventType

#### Members

GDK_GL_DAMAGED |  |
GDK_GL_SAVED |  |

### enum GdkGLDrawableType

#### Members

GDK_GL_WINDOW |  |
GDK_GL_PBUFFER |  |